%define majver %(echo %version | cut -d. -f1-2)
Name:          libcogl
Version:       1.18.0
Release:       1mamba
Summary:       A library for using 3D graphics hardware for rendering
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.clutter-project.org/
Source:        ftp://ftp.gnome.org/pub/gnome/sources/cogl/%{majver}/cogl-%{version}.tar.xz
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libbzip2-devel
BuildRequires: libcairo-devel
BuildRequires: libexpat-devel
BuildRequires: libffi-devel
BuildRequires: libfontconfig-devel
BuildRequires: libfreetype-devel
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglib-devel
BuildRequires: libgraphite2-devel
BuildRequires: libharfbuzz-devel
BuildRequires: libpango-devel
BuildRequires: libpng-devel
BuildRequires: libpthread-stubs-devel
BuildRequires: libselinux-devel
BuildRequires: libstdc++6-devel
BuildRequires: libX11-devel
BuildRequires: libXau-devel
BuildRequires: libxcb-devel
BuildRequires: libXcomposite-devel
BuildRequires: libXdamage-devel
BuildRequires: libXdmcp-devel
BuildRequires: libXext-devel
BuildRequires: libXfixes-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Cogl is a small open source library for using 3D graphics hardware for rendering. The API departs from the flat state machine style of OpenGL and is designed to make it easy to write orthogonal components that can render without stepping on each others toes.

%package devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
Cogl is a small open source library for using 3D graphics hardware for rendering. The API departs from the flat state machine style of OpenGL and is designed to make it easy to write orthogonal components that can render without stepping on each others toes.
This package contains static libraries and header files need for development.

%package apidocs
Group:         Documentation
Summary:       %{name} API documentation
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      gtk-doc

%description apidocs
This package includes the %{name} API documentation.

%prep
%setup -q -n cogl-%{version}

%build
%configure
#--enable-gtk-doc
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%find_lang cogl

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f cogl.lang
%defattr(-,root,root)
%{_libdir}/libcogl.so.*
%{_libdir}/libcogl-pango.so.*
%{_libdir}/libcogl-path.so.*
%{_libdir}/girepository-1.0/Cogl*.typelib
%doc COPYING

%files devel
%defattr(-,root,root)
%dir %{_includedir}/cogl
%dir %{_includedir}/cogl/cogl
%{_includedir}/cogl/cogl/*.h
%dir %{_includedir}/cogl/cogl-pango
%{_includedir}/cogl/cogl-pango/cogl-pango.h
%dir %{_includedir}/cogl/cogl
%dir %{_includedir}/cogl/cogl/gl-prototypes
%{_includedir}/cogl/cogl/gl-prototypes/cogl-*.h
%dir %{_includedir}/cogl/cogl-path
%{_includedir}/cogl/cogl-path/*.h
%dir %{_includedir}/cogl/cogl/deprecated
%{_includedir}/cogl/cogl/deprecated/*.h
%{_libdir}/libcogl.la
%{_libdir}/libcogl.so
%{_libdir}/libcogl-pango.la
%{_libdir}/libcogl-pango.so
%{_libdir}/libcogl-path.la
%{_libdir}/libcogl-path.so
%{_datadir}/cogl/examples-data/crate.jpg
%{_datadir}/gir-1.0/Cogl*-1.0.gir
%{_datadir}/gir-1.0/Cogl-2.0.gir
%{_datadir}/gir-1.0/CoglPango-2.0.gir
%{_libdir}/pkgconfig/cogl-1.0.pc
%{_libdir}/pkgconfig/cogl-gl-1.0.pc
%{_libdir}/pkgconfig/cogl-2.0-experimental.pc
%{_libdir}/pkgconfig/cogl-pango-1.0.pc
%{_libdir}/pkgconfig/cogl-pango-2.0-experimental.pc
%{_libdir}/pkgconfig/cogl-path-1.0.pc
%{_libdir}/pkgconfig/cogl-path-2.0-experimental.pc
%doc ChangeLog NEWS README.in

#%files apidocs
#%defattr(-,root,root)
#%dir %{_datadir}/gtk-doc/html/cogl
#%{_datadir}/gtk-doc/html/cogl/*
#%dir %{_datadir}/gtk-doc/html/cogl-2.0-experimental
#%{_datadir}/gtk-doc/html/cogl-2.0-experimental/*

%changelog
* Sun Mar 30 2014 Automatic Build System <autodist@mambasoft.it> 1.18.0-1mamba
- automatic version update by autodist

* Mon Jan 20 2014 Automatic Build System <autodist@mambasoft.it> 1.16.2-1mamba
- automatic version update by autodist

* Sun Nov 03 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 1.16.0-1mamba
- update to 1.16.0

* Tue Mar 26 2013 Automatic Build System <autodist@mambasoft.it> 1.14.0-1mamba
- automatic version update by autodist

* Sat Feb 23 2013 Automatic Build System <autodist@mambasoft.it> 1.13.4-1mamba
- automatic version update by autodist

* Mon Jan 14 2013 Automatic Build System <autodist@mambasoft.it> 1.12.2-1mamba
- automatic version update by autodist

* Sun Dec 23 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.12.0-1mamba
- update to 1.12.0

* Sat Sep 15 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.10.4-2mamba
- move *.typelib files from -devel to mail package

* Tue Jul 17 2012 Automatic Build System <autodist@mambasoft.it> 1.10.4-1mamba
- automatic version update by autodist

* Fri Jul 06 2012 Automatic Build System <autodist@mambasoft.it> 1.10.2-1mamba
- update to 1.10.2

* Wed Oct 19 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.8.2-1mamba
- package created by autospec
